Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world.gen.structure
Class ComponentNetherBridgeStartPiece

    java.lang.Object
      net.minecraft.world.gen.structure.StructureComponent
          net.minecraft.world.gen.structure.ComponentNetherBridgeCrossing3
              net.minecraft.world.gen.structure.ComponentNetherBridgeStartPiece

    public class ComponentNetherBridgeStartPiece

extends ComponentNetherBridgeCrossing3

Field Summary
`ArrayList` | `field_74967_d`
`List` | `primaryWeights` Contains the list of valid piece weights for the set of nether bridge structure pieces.
`List` | `secondaryWeights` Contains the list of valid piece weights for the secondary set of nether bridge structure pieces.
`net.minecraft.world.gen.structure.StructureNetherBridgePieceWeight` | `theNetherBridgePieceWeight` Instance of StructureNetherBridgePieceWeight.

Constructor Summary
`ComponentNetherBridgeStartPiece(Random par1Random, int par2, int par3)`

Method Summary

Methods inherited from class net.minecraft.world.gen.structure.ComponentNetherBridgeCrossing3
`addComponentParts, buildComponent, createValidComponent`

Methods inherited from class net.minecraft.world.gen.structure.StructureComponent
`findIntersecting, getBoundingBox, getCenter, getComponentType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theNetherBridgePieceWeight

    public net.minecraft.world.gen.structure.StructureNetherBridgePieceWeight theNetherBridgePieceWeight

  Instance of StructureNetherBridgePieceWeight.

### primaryWeights

    public List primaryWeights

  Contains the list of valid piece weights for the set of nether bridge structure pieces.

### secondaryWeights

    public List secondaryWeights

  Contains the list of valid piece weights for the secondary set of nether bridge structure pieces.

### field_74967_d

    public ArrayList field_74967_d

Constructor Detail

### ComponentNetherBridgeStartPiece

    public ComponentNetherBridgeStartPiece(Random par1Random,
                                           int par2,
                                           int par3)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD